Subject: bug#70578: [PATCH] ; Fix python test case for testing completion with ipython

From: kobarity <[email-masked]>
Date: Sat, 27 Apr 2024 21:09:36 +0900

Eli Zaretskii wrote:
> 
> > From: Lin Sun <[email-masked]>
> > Date: Fri, 26 Apr 2024 03:27:34 +0000
> > 
> > There is an error when running python-tests.el, I pasted on the tail
> > of this mail.
> > 
> > The error is caused by the test case trying testing the functions with
> > ipython but its subroutine didn't use the ipython as interpreter.
> > 
> > Changing the test interpreter will fix the issue, I attached the patch.
> > 
> > Please help apply the change. Thanks.
> > 
> > 
> > Test case error message:
> > 
> > Test python-shell-completion-at-point-ipython backtrace:
> >   call-process("python" nil t nil "-m" "jedi" "repl")
> >   (eql 0 (call-process python-tests-shell-interpreter nil t nil "-m" "
> >   (if (eql 0 (call-process python-tests-shell-interpreter nil t nil "-
> > ...
> > Test python-shell-completion-at-point-ipython condition:
> >     (file-missing "Searching for program" "No such file or directory"
> >                   "python")
> >    FAILED  1/1  python-shell-completion-at-point-ipython (0.829918
> > sec) at python-tests.el:4897
> 
> Thanks.
> 
> kobarity, any comments about this or the patch?

I confirmed that Lin Sun's patch fixes this issue.  I Cc'd the author
of this ERT as well, just in case.